package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemPersonSessionsListBindingImpl extends ItemPersonSessionsListBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener, com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback132;
    @Nullable
    private final com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener mCallback131;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemPersonSessionsListBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 8, sIncludes, sViewsWithIds));
    }
    private ItemPersonSessionsListBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[3]
            , (android.widget.TextView) bindings[6]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[5]
            , (android.widget.TextView) bindings[7]
            , (android.widget.TextView) bindings[4]
            , (android.widget.TextView) bindings[2]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[1]
            );
        this.itemPersonDuration.setTag(null);
        this.itemPersonProgress.setTag(null);
        this.itemPersonProgressImage.setTag(null);
        this.itemPersonScoreResults.setTag(null);
        this.itemPersonStartDateTime.setTag(null);
        this.itemPersonSuccessComplete.setTag(null);
        this.itemPersonSuccessCompleteImage.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback132 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback131 = new com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.SessionListPresenter) variable);
        }
        else if (BR.selectablePagedListAdapter == variableId) {
            setSelectablePagedListAdapter((com.ustadmobile.port.android.view.SessionListFragment.PersonWithSessionsDisplayListRecyclerAdapter) variable);
        }
        else if (BR.person == variableId) {
            setPerson((com.ustadmobile.lib.db.entities.PersonWithSessionsDisplay) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setPresenter(@Nullable com.ustadmobile.core.controller.SessionListPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }
    public void setSelectablePagedListAdapter(@Nullable com.ustadmobile.port.android.view.SessionListFragment.PersonWithSessionsDisplayListRecyclerAdapter SelectablePagedListAdapter) {
        this.mSelectablePagedListAdapter = SelectablePagedListAdapter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.selectablePagedListAdapter);
        super.requestRebind();
    }
    public void setPerson(@Nullable com.ustadmobile.lib.db.entities.PersonWithSessionsDisplay Person) {
        this.mPerson = Person;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.person);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String javaLangStringPersonResultScoreJavaLangString = null;
        int personResultMax = 0;
        long personStartDate = 0;
        java.lang.String javaLangStringPersonResultScoreJavaLangStringPersonResultMax = null;
        com.ustadmobile.core.controller.SessionListPresenter presenter = mPresenter;
        int personResultScoreScaledInt0ViewGONEViewVISIBLE = 0;
        float personResultScoreScaledInt100 = 0f;
        java.lang.String javaLangStringPersonResultScoreJavaLangStringPersonResultMaxJavaLangString = null;
        float personResultScoreScaled = 0f;
        boolean personResultScoreScaledInt0 = false;
        int intPersonResultScoreScaledInt100 = 0;
        long personDuration = 0;
        int personResultScore = 0;
        java.lang.String javaLangStringPersonResultScore = null;
        com.ustadmobile.port.android.view.SessionListFragment.PersonWithSessionsDisplayListRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        com.ustadmobile.lib.db.entities.PersonWithSessionsDisplay person = mPerson;
        java.lang.String itemPersonProgressAndroidStringPercentageScoreIntPersonResultScoreScaledInt100 = null;

        if ((dirtyFlags & 0xaL) != 0) {
        }
        if ((dirtyFlags & 0xcL) != 0) {



                if (person != null) {
                    // read person.resultMax
                    personResultMax = person.getResultMax();
                    // read person.startDate
                    personStartDate = person.getStartDate();
                    // read person.resultScoreScaled
                    personResultScoreScaled = person.getResultScoreScaled();
                    // read person.duration
                    personDuration = person.getDuration();
                    // read person.resultScore
                    personResultScore = person.getResultScore();
                }


                // read (person.resultScoreScaled) * (100)
                personResultScoreScaledInt100 = (personResultScoreScaled) * (100);
                // read person.resultScoreScaled == 0
                personResultScoreScaledInt0 = (personResultScoreScaled) == (0);
                // read ("(") + (person.resultScore)
                javaLangStringPersonResultScore = ("(") + (personResultScore);
            if((dirtyFlags & 0xcL) != 0) {
                if(personResultScoreScaledInt0) {
                        dirtyFlags |= 0x20L;
                }
                else {
                        dirtyFlags |= 0x10L;
                }
            }


                // read (int) (person.resultScoreScaled) * (100)
                intPersonResultScoreScaledInt100 = ((int) (personResultScoreScaledInt100));
                // read person.resultScoreScaled == 0 ? View.GONE : View.VISIBLE
                personResultScoreScaledInt0ViewGONEViewVISIBLE = ((personResultScoreScaledInt0) ? (android.view.View.GONE) : (android.view.View.VISIBLE));
                // read (("(") + (person.resultScore)) + ("/")
                javaLangStringPersonResultScoreJavaLangString = (javaLangStringPersonResultScore) + ("/");


                // read @android:string/percentage_score
                itemPersonProgressAndroidStringPercentageScoreIntPersonResultScoreScaledInt100 = itemPersonProgress.getResources().getString(R.string.percentage_score, intPersonResultScoreScaledInt100);
                // read ((("(") + (person.resultScore)) + ("/")) + (person.resultMax)
                javaLangStringPersonResultScoreJavaLangStringPersonResultMax = (javaLangStringPersonResultScoreJavaLangString) + (personResultMax);


                // read (((("(") + (person.resultScore)) + ("/")) + (person.resultMax)) + (")")
                javaLangStringPersonResultScoreJavaLangStringPersonResultMaxJavaLangString = (javaLangStringPersonResultScoreJavaLangStringPersonResultMax) + (")");
        }
        // batch finished
        if ((dirtyFlags & 0xcL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setDurationHoursAndMinutes(this.itemPersonDuration, personDuration);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemPersonProgress, itemPersonProgressAndroidStringPercentageScoreIntPersonResultScoreScaledInt100);
            this.itemPersonProgress.setVisibility(personResultScoreScaledInt0ViewGONEViewVISIBLE);
            this.itemPersonProgressImage.setVisibility(personResultScoreScaledInt0ViewGONEViewVISIBLE);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemPersonScoreResults, javaLangStringPersonResultScoreJavaLangStringPersonResultMaxJavaLangString);
            this.itemPersonScoreResults.setVisibility(personResultScoreScaledInt0ViewGONEViewVISIBLE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setShortDateTime(this.itemPersonStartDateTime, personStartDate);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setContentComplete(this.itemPersonSuccessComplete, person);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.isContentCompleteImage(this.itemPersonSuccessCompleteImage, person);
        }
        if ((dirtyFlags & 0xaL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setSelectableViewHelper(this.mboundView0, selectablePagedListAdapter, mCallback132, mCallback131);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // presenter != null
        boolean presenterJavaLangObjectNull = false;
        // presenter
        com.ustadmobile.core.controller.SessionListPresenter presenter = mPresenter;
        // person
        com.ustadmobile.lib.db.entities.PersonWithSessionsDisplay person = mPerson;



        presenterJavaLangObjectNull = (presenter) != (null);
        if (presenterJavaLangObjectNull) {



            presenter.onClickPersonWithSessionDisplay(person);
        }
    }
    public final void _internalCallbackOnSelectionStateChanged(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // selectablePagedListAdapter != null
        boolean selectablePagedListAdapterJavaLangObjectNull = false;
        // selectablePagedListAdapter
        com.ustadmobile.port.android.view.SessionListFragment.PersonWithSessionsDisplayListRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        // person
        com.ustadmobile.lib.db.entities.PersonWithSessionsDisplay person = mPerson;



        selectablePagedListAdapterJavaLangObjectNull = (selectablePagedListAdapter) != (null);
        if (selectablePagedListAdapterJavaLangObjectNull) {




            selectablePagedListAdapter.onItemSelectedChanged(callbackArg_0, person);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): presenter
        flag 1 (0x2L): selectablePagedListAdapter
        flag 2 (0x3L): person
        flag 3 (0x4L): null
        flag 4 (0x5L): person.resultScoreScaled == 0 ? View.GONE : View.VISIBLE
        flag 5 (0x6L): person.resultScoreScaled == 0 ? View.GONE : View.VISIBLE
    flag mapping end*/
    //end
}